## org.eclipse.contribution.visualiser.core
Class RendererDefinition

    java.lang.Object
      org.eclipse.contribution.visualiser.core.RendererDefinition

public class RendererDefinition
extends java.lang.Object

A RendererDefinition represents the definition of a visualiser drawing style as specified by someone extending the given extension point. They are managed by the RendererManager.

Author:
  mchapman

Constructor Summary
`RendererDefinition(java.lang.String name, IVisualiserRenderer renderer)` Create a new renderer definition

Method Summary
`java.lang.String` `getName()` Get the name of the renderer represented by this renderer definition
`IVisualiserRenderer` `getRenderer()` Get the actual renderer represented by this renderer definition

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RendererDefinition

    public RendererDefinition(java.lang.String name,
                              IVisualiserRenderer renderer)

  Create a new renderer definition

Parameters:
  `name` - the name of the renderer
  `renderer` - the actual renderer instance

Method Detail

### getName

    public java.lang.String getName()

  Get the name of the renderer represented by this renderer definition

  Returns:
    the renderer name

### getRenderer

    public IVisualiserRenderer getRenderer()

  Get the actual renderer represented by this renderer definition

  Returns:
    the renderer instance